Subject: Re: [MOBILE-IP] Pro-active Handoff and FA Location

From: Basavaraj Patil <[email-masked]>
Date: Fri, 1 Dec 2000 11:31:16 -0600

> I've a feeling CIP was  booted out the WG because
> we might be too fast for MIP to keep up ....
>
> Andrew
>

Andrew,

The scope of the mobile IP WG to begin with was quite wide. Anything related
to mobility essentially ended up in the Mobile IP WG. Not that it's a bad
thing,
but the efficiency of the WG as whole in meeting the milestones and  also in
terms of keeping focus on the charter we decided to narrow the scope. I
believe
that the excellent work on micromobility (Cellular IP and others) has a much
better opportunity in a focused group such as SeaMoby.
I sense some disappointment from you when you say that CIP was booted out
of the MIP WG, but really Andrew, I think it gives CIP a home in SeaMoby
which
is far more appropriate.

-Basavaraj

---

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Fri, 1 Dec 2000 18:47:44 +0100

Pat

> Yes we should, and perhaps you misread Ajoy's e-mail. Hesham
> has been very
> consistent in pushing any of our arguments regarding the
> limitations of
> CDMA2000, and how the "fast handoff" proposal would not work in such
> environments. If Pete McCann or Tom Hiller is reading this, I
> would ask that
> he points to the same CDMA2000 spec that we discussed on the
> design team
> conference calls that make it clear that there is no time for
> mobiles to
> perform Mobile IP registration when a handoff occurs.

We're not 3GPP experts and there are people in the 3GPPs who can
handle system-specific issues. For this reason I believe we decided
to develop a generic spec, which should hopefully take into account
inter-system mobility (e.g. WLAN to 3G). If you are saying that you
want to add the above "no time to perform..." requirement to the
handoffs work I would disagree and remind you of the discussions
we've had about this during our phone conferences. You must be
assuming that the L3 registration is done after a certain
point during the L2 procedure after which there is no time. I
can't see a reason why the MIP registration can't be started before
that point in time. The L2 and L3 handoff procedures could almost
proceed alongside in which case your argument would not be valid. In
any case, for the reasons mentioned above, I would prefer not getting
into the system-specific details.

The fundamental issue is that Fast Handoffs supports the RFC2002
concept where the MN participates in the handoff and performs
movement detection. That's different from Proactive Handoffs which
involves a new FA-FA message to perform the handoff and does not
provide MN control of the handoff. I think we agreed on this.
Fast Handoffs doesn't involve a new protocol or a major change to
the RFC2002 concept.

Hesham and I sent out a more detailed list of differences previously
and I attach it below for those who are interested.

Regards,
/Karim

1) The Fast Handoffs draft allows both the network and the
MN to control L3 handoffs just as normal Mobile IP (RFC2002).
The MN performs Mobile IP Registrations and is therefore in
control as to when and with which agent it registers. The
network is also in control since it may decide whether to
send the MN an agent advertisement to trigger the MN's
movement (without which the MN will not perform movement
detection and MIP Registration). The network may also
advertise but reject the MN's Registration and thus again
exercise control. In Proactive handoffs the MN has no control
over the handoff and may only react to the network-controlled
handoff after it has obtained L2 connectivity to the new FA
and starts receiving data from it. Thus the handoff
is forced on the MN and the MN may only react if and
when the new FA decides to advertise.

2) The Fast Handoffs draft allows the MN to register with
the new FA (or GFA) before it moves and before it obtains L2
connectivity to that new FA, thus anticipating the MN's
movement. By interacting with L2 it is possible for the
FA to synchronize such a registration with the cellular
network's mobility such that the new Registration is
completed before the MN is instructed to perform a handoff
at L2. Local HA functionality (GFA) is used to limit the
RTT for the MN's registration. In this way we potentially
eliminate the service disruption caused by L3 handoffs and
limit the MN's service disruption period to that imposed by
the specific L2.

3) The same amount of Registrations/Advertisement are sent/received
by an active MN using Proactive or Fast Handoffs for the support
of real-time services such as VoIP. The main difference is that
in Fast Handoffs the Registration is performed by the MN before
it performs a handoff to the new FA, while in Proactive handoffs
this is done after the MN has performed a handoff to the new
FA and once it is receiving traffic through the new FA.

4) It is not clear in the proactive approach how an intersystem
handoff is handled. For example a handoff occuring between two
different wireless technologies. If the proactive approach is
to be used for handoffs, and if the MN has a choice of two
different systems, it is not possible for the MN to choose which
FA it wants to be connected to (until after the MN has been handed
off to the new FA). Hence a handoff may result in connecting the
MN to a less preferred FA. This is especially true if the FAs
choose not to send agent advertisements for very long periods as
suggested by the draft. This situation will not arise in Fast
Handoffs.

5) The proactive draft states that a FA MAY choose to send an
Agent Advertisement to the MN after the handoff has taken place.
The length of time after which the advertisement is sent is
unclear. If simultaneous bindings are used (which is suggested by
the draft), this will result in long lifetimes for the
simultaneous bindings and consequently an inefficient use of
bandwidth since multiple copies of the same packet are transmitted
to FAs. In Fast Handoffs simultaneous bindings will have short
lifetimes in order to minimize bandwidth consumption.

---

From: "Dolan, Michael F (Mike)" <[email-masked]>
Date: Fri, 1 Dec 2000 14:45:35 -0600

Hesham, Pat,

It seems that we need to put some specific bounds on handoff times that
need to be accomodated.  It is true that in many cases in CDMA systems,
the Base Station will know several hundreds of milliseconds ahead of
time that a handoff will occur.  However, this cannot be guaranteed in
all cases.  In dense urban situations where there are tall buildings
and lots of metal objects, handoff can be precipitated very quickly
with very little advance time to set up for it, due to the abrupt radio
effects that can exist.

Let me propose a bound of 250 milliseconds (250ms) from the time that
the need for a handoff is detected until the handoff must be completed.
This is an arbitrary number, but it is about the amount of time it would
take for a person to walk through some metal doors into a new radio
environment.

It is also very reasonable that there will be several possible new FAs
available to a MN at one time.  Example: a person using a MN (IP-based
phone) walking in downtown New York connected to a CDMA system walks
around a building corner.  The MN detects both another CDMA Base Station
and an 802.11b Base Station, while maintaining contact with its current
CDMA Base Station.  The person might walk into the entrance of the
building (802.11b environment), or could continue to walk down the street.
With which, if any, FA should the MN begin a new registration?

In one proposed solution, the "old" CDMA Base Station would be sending
the advertisement for other FAs.  Should it send both advertisements?
How should the MN choose which to initiate?  What if it chooses
incorrectly?  What if it attempts new registrations on both, "just to
be safe?"

In another solution, the "old" CDMA Base Station gets radio level
readings from the MN and chooses the system to receive the handoff (a
second CDMA Base Station, or an 802.11b Base Station in the example
above).  In this solution, the "old" Base Station can react quickly
to radio environment changes (including support of the MN returning
to the "old" Base Station upon handoff failure).  Interaction with
other Base Stations at the Link Layer to coordinate the handoff can
result in a smooth transition of the application stream.  Coordination
among those Base Stations and the FAs to continue the stream until a
new MIP registration can be achieved can provide the support for the
250ms bound proposed.  As has been discussed in several places already,
tunneling between the FAs or between the Base Stations can support
stream continuation.

Other solutions?  Thoughts?  A different value than 250ms for a bound?

Have a good day,
Mike Dolan
Lucent Technologies
[email-masked]

Hesham Soliman wrote:
> >         => I agree that the two proposals are very similar. They both
> > support
> >         simultaneous bindings and other similar concepts.
> >         Apart from the list of differences we discussed, I see a
> difference
> >         in the dependancy on certain architectures. You might think that
> >         this is an implementation issue, but it's important to highlight
> it.
> >
> >         In some cases the changes required to support the assumed
> >         architecture may not be trivial.
>
> Correct, but the design choices made also allow the proposal to be used
> with
> even the strictest of link layers (ones that INFORM the mobile that a
> handoff
> is in process).
>
        => These link layers are much more sophisticated than others
        because they know where the MN is going. I think that makes
        it easier to accomodate MIP since you're getting good hints.
        FH also supports that case by sending the proxy advertisement
        to the MN from the current FA.

> In these wireless networks, there is no additional time for
> Mobile IP registration.
>
        => Which wireless links ? CDMA for example ?
        As we mentioned during the meetings, we looked at these
        handoff sequences and found that there is time and it is
        certainly possible to support FH. CDMA is much more
        flexible in terms of handoff times than other wireless
        systems.

> However, you failed to address my comment where I stated that this
> co-location
> issue is NOT a pro-active problem, since the fast handoff proposal uses
> similar triggers. Both proposals require colocated AP/FAs.
>
        => The FH model allows for both MN initiation and FA initiation.
Therefore
        I don't see why it would need this colocation.
        You also didn't answer my comments on IAPP :)

        Hesham

---

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Sun, 3 Dec 2000 11:59:50 +1100

Pete,

> Two points:
>
> 1) Handoff Timing.
>
> For cdma2000, there is at most a couple of hundred milliseconds between
> the time that the BSC recognizes the need for a handoff and the time the
> handoff must take place.  The reason for this deadline is that the radio
> channel to the current MN is fading quickly, but the final "handoff order"
> telling the MN to connect to the new BSC must be sent over the air before
> connectivity is lost.
>
> Putting over-the-air Mobile IP signaling on the critical path will almost
> certainly cause us to miss this deadline in some cases, resulting in lost
> calls.  Remember it's not just the new messages but also operating system
> scheduling that we have to worry about.
>
> We are working to gather some more specific delay numbers/lost call
> probabilities and we can discuss in San Diego.
>
        => Please refer to Krim's email on the timing issue.
        There is no need to assume that L3 handoff is the last
        step in the L2 handoff.

> 2) IAPP
>
> I don't know much about 802.11, but it occurred to me in Pittsburgh
> that you could probably deploy some kind of "smart bridge" between the
> two networks that would watch IAPP traffic on both of them, and by
> collating the results you would be able to figure out where a MN came
> from.  This would enable you to send a pro-active trigger or even to
> start bridging the MN's traffic to/from the old network, obviating the
> need for any MIP messaging.  The extra box might sound like a
> heavyweight solution but it would really be no more onerous than the
> handoff mechanisms currently in place between cellular coverage areas.
> FA addresses would of course need to be provisioned during the
> coverage planning stage and when forming handoff agreements with
> neighboring carriers.
>
        => Exactly the answer to my earlier question. Thanks.
        Yes in this case the FA would know that the MN
        has moved provided it listens to IAPP messages.
        But it won't know that it's about to move.

        Hesham

---

From: James Kempf <[email-masked]>
Date: Sat, 2 Dec 2000 19:35:44 -0800

>Following this philosophy, I think soft handoff in link layers also should
>be considered as a special case even though it is available in the upcoming
>3G wireless networks (WCDMA, CDMA2000) and the current 802.11 WLAN.

Not sure what you mean by "soft handoff" here, but my understanding
of 802.11 is that it does "break before make" and that there are not
multiple outstanding physical data streams corresponding to one
logical data stream on the MN or CN. This is typically what's called
soft handoff in CDMA.

>Thus I
>am not sure it is a good assumption that the mobile node or the old FA can
>figure out the new FA's IP address exactly from the link layer information
>while the mobile node is attached to the old BS(or FA). I think the
>assumption is in both of the drafts (Proactive Handoff, Fast Handoff) on the
>table.
>

                jak

---

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Sun, 3 Dec 2000 15:04:26 +1100

> > Seriously, probably not a good idea to assume/predict anything regarding
> > air interface technology going forwards...let's leave the IP stuff wide
> > open for all types of link layers in accordance with its basic
> > architectural philosophy.
> >
>
        => I'm not sure how this statement follows the earlier comment.
Anyway
        why is soft handoff relevant here ?

> assumption is in both of the drafts (Proactive Handoff, Fast Handoff) on
        => Perhaps you could elaborate on how this conclusion is made
        based on your earlier statement. I can't follow the logic of your
        argument. I don't see why it would be difficult for an FA to map
        some system information (I'm not using L2 because as James
        mentioned earlier it's not exactly L2) to an IP address.

        Hesham

---

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Sun, 3 Dec 2000 15:30:26 +1100

Michael,

Thanks for the analysis. Some comments below.

A general comment, you're mentioning Base stations
often and in different contexts which puzzles me about
how you assume the role of a base station in the L3 handoff
scenario. I prefer to talk about FAs instead. It is less
presumptious and is relevant for the L3 handoffs.

Regards,
Hesham

        It seems that we need to put some specific bounds on handoff times
that
        need to be accomodated.  It is true that in many cases in CDMA
systems,
        the Base Station will know several hundreds of milliseconds ahead of
        time that a handoff will occur.  However, this cannot be guaranteed
in
        all cases.  In dense urban situations where there are tall buildings
        and lots of metal objects, handoff can be precipitated very quickly
        with very little advance time to set up for it, due to the abrupt
radio
        effects that can exist.

        Let me propose a bound of 250 milliseconds (250ms) from the time
that
        the need for a handoff is detected until the handoff must be
completed.
        This is an arbitrary number, but it is about the amount of time it
would
        take for a person to walk through some metal doors into a new radio
        environment.

        => The issue here is where in the handoff process these 250 ms
        fit. I'd like to refer you to Karim's earlier mail about this, in
which
      he says "You must be assuming that the L3 registration is done
      after a certain point during the L2 procedure after which there is no
time.
      I can't see a reason why the MIP registration can't be started before
that
      point in time. The L2 and L3 handoff procedures could almost
        proceed alongside in which case your argument would not be valid".

        So putting time restrictions is certainly important and no one would

        disagree with you on that. However, assuming that L3 handoff will
        only take place at the last stage where certainly (as you mentioned)
        there might not be time in some cases, makes strong assumptions
        about how MIP should be used in other systems.
        None of the MIP specs or the Fast Handover draft make
        any assumption about where L3 handover should start, and whether
        this takes place on a bearer channel, common channel ...etc
        These are are extremely specific issues that we are not qualified to
        decide upon. Therefore it is best that we leave it up to the
relevant system
        designers.

        It is also very reasonable that there will be several possible new
FAs
        available to a MN at one time.  Example: a person using a MN
(IP-based
        phone) walking in downtown New York connected to a CDMA system walks
        around a building corner.  The MN detects both another CDMA Base
Station
        and an 802.11b Base Station, while maintaining contact with its
current
        CDMA Base Station.  The person might walk into the entrance of the
        building (802.11b environment), or could continue to walk down the
street.
        With which, if any, FA should the MN begin a new registration?

        => Network planners should decide on the amount of overlap
        required. As to your question on which FA it should choose,
        well that depeneds of course on which direction that person
        will continue to walk on, but of course we can't be certain
        about that, so perhaps that person would choose to connect
        to both for some time until he/she is sure where they're going.

        In one proposed solution, the "old" CDMA Base Station would be
sending
        the advertisement for other FAs.  Should it send both
advertisements?

        => Not necessarily, it can choose to send the one for the CDMA
        FA only, the other FA can send its own solicited or unsolicited
        advertisement.

        How should the MN choose which to initiate?

        => I would expect that users may have certain preferences
        based on the applications being used, the types of links
        available ...etc. So to answer your question, a user profile
        can help.

        What if it chooses
        incorrectly?  What if it attempts new registrations on both, "just
to
        be safe?"

        => Please see my comment above.

        In another solution, the "old" CDMA Base Station gets radio level
        readings from the MN and chooses the system to receive the handoff
(a
        second CDMA Base Station, or an 802.11b Base Station in the example
        above).

        => Are you proposing that the L3 handoff has to be handled on Base
        station level ? Perhaps a clarification of this would help.

        In this solution, the "old" Base Station can react quickly
        to radio environment changes (including support of the MN returning
        to the "old" Base Station upon handoff failure).  Interaction with
        other Base Stations at the Link Layer to coordinate the handoff can
        result in a smooth transition of the application stream.

        => So this solution expects interaction between those "CDMA"
        Base stations and 802.11 Base stations as well as FAs ?
        But wouldn't it be even quicker if we just coordinate on a base
        station level. If inter-radio technology interaction is expected
        anyway then why do we need MIP ? This is certainly another
        valid alternative. We could have convergence layers that allow
        different access technologies to handoff the MN to each other
        and there would be no need for MIP in this case.

        Of course the disadvantage is, we're handing off that user without
        his/her choice. So is that what we want ?
        My understanding is that RFC2002 mandates that user choice,
        by not allowing packets to be routed to another FA unless the
        user authorises that.

        Coordination
        among those Base Stations and the FAs to continue the stream until a
        new MIP registration can be achieved can provide the support for the
        250ms bound proposed.  As has been discussed in several places
already,
        tunneling between the FAs or between the Base Stations can support
        stream continuation.

        => Sure you'll meet that 250 ms deadline which based on your
        assumption of how L2 and L3 should interact in a CDMA system.
        I would argue that this assumption is not needed and I refer you
        to Karim's statement above.

        The reason we shouldn't make these assumptions, is that while
        timing is crucial for a handoff, there are also other important
        considerations for a MIP handoff. Like looking into which types
        of access are possible and making a choice based on what
        the user needs. The generic nature of MIP needs to be maintained.

        Regards,
        Hesham

---

From: James Kempf <[email-masked]>
Date: Sat, 2 Dec 2000 20:38:50 -0800

Hesham,

>        proceed alongside in which case your argument would not be valid".

The problem with starting the MIP registration before the L2 handoff is
complete is that the mobile may undergo ping-ponging and may end up
back on the subnet controlled by the original FA before the L2 registration
completes. Or even on a third subnet. The pro-active handoff draft contains some
specific design considerations to take this into account. I don't know how
common ping-ponging is, but it apparently does occur in the real world and
so needs to be accommondated.

                jak

---

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Sun, 3 Dec 2000 15:44:03 +1100

James,

> so needs to be accommondated.
        => I beleive ping pong is supported by both proposals. In FH
        simultaneous bindings are used just like the proactive approach
        does.

        Hesham

---

From: James Kempf <[email-masked]>
Date: Sat, 2 Dec 2000 20:50:52 -0800

Hesham,

>        simultaneous bindings are used just like the proactive approach

You didn't read my comment. I didn't say it wasn't supported in FH,
I said that Karim's comment that one could start the MIP registration
before the L2 handoff won't work in the real world.

                jak

---

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Mon, 4 Dec 2000 09:56:23 +0100

James

> before the L2 handoff won't work in the real world.

When did I say "before the L2 handoff"?

/Karim

---

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Mon, 4 Dec 2000 10:14:14 +0100

Hello Mike

> incorrectly?  What if it attempts new registrations on both, "just to

As specified in our draft the MN is eager in registering and therefore
establishes bindings with all FAs advertised. Only one binding will
remain active once the MN stays in the coverage area of one FA for
some time.

> to the "old" Base Station upon handoff failure).

You seem to be assuming a FA in the BS and I don't think we should be
tailoring our work to this case. However, if you put the above in terms
of FA coverage areas then the concept works (as I explained above) since
you maintain simultaneous bindings with the new and old FA.

  Interaction with
> tunneling between the FAs or between the Base Stations can support

Why not coordinate the L2 and L3 in order to anticipate the MN's
registration instead of having a network-initiated registration on behalf
of the MN? MN control is the issue and that is supported in MIPv4 and MIPv6.
The alternative I am talking about allows for network-based control of the
handoffs but also MN control of the L3 handoff (just like RFC2002). Why
should we opt for a solution which does not allow MN control of the handoff?

Regards,
Karim

---

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Mon, 4 Dec 2000 18:18:48 +0100

> I meant "before the L2 handoff was complete".

OK, yes that's what I meant.

> Possibly Hesham
> misquoted you.
> I have included the citation from Hesham's email in which he stated
> that you earlier sent email stating that the L3 MIP registration
> procedure could be started before the L2 procedure was complete.
>

No I think Hesham did address your point. We use simultaneous bindings
so ping-pong is supported even when you start the L3 handoff procedure
(i.e. advertisement, movement detection, registration) before the L2 handoff
procedure has completed. If you end up on the same subnet the binding
will not have expired and the MN can continue its communications. What is
so unreal about starting the MIP registration after the L2 handoff
procedure has been initiated and before it has completed?

/K.

---

From: "Dolan, Michael F (Mike)" <[email-masked]>
Date: Tue, 5 Dec 2000 00:37:09 -0600

Karim,

Sorry for being late in replying.  I am traveling (again!)

If a handoff occurs with active IP packet streams, and if the MN
chooses to establish registrations with multiple FAs, how many
simultaneous (S-bit) copies of each packet should the HA be expected
to send out to these FAs?  What could we expect in existing and new
implementations of FAs?  It seems that expecting a new and an old
stream is reasonable, and any more would be unreasonable.

So, I think that reasonable implementations of both MNs and HAs
would only have an old and a new registration and one copy of each
stream.

I agree that coordination and cooperation between L2 and L3 is a good
basis for expediting handoffs.  In addition to tunnels at either L2
or L3, some communication between L2 and L3 both at the old and new
FA area is also an obvious part of the solution.  Some of the
intricacies of radio interfaces make parallel but independent L2 and
L3 protocols very complex.

The best solutions I have heard all seem to revolve around the idea
of moving the radio environment first using tunneling from the old
to the new at either L2 or L3, and then doing a new MIP registration.
This also allows the L2 protocol to handle other complexities of
the particular L2 interface, such as "ping ponging."  One good solution
seems to be to delay the new MIP registration until the existing IP
streams terminate - though this might not be the best solution if I am
watching a 2 hour streaming video movie!   :^)

Have a good day,
Mike Dolan
Lucent Technologies - Bell Labs
[email-masked]

-----Original Message-----
From: Karim El-Malki (ERA) [mailto:[email-masked]]
Sent: Monday, December 04, 2000 3:14 AM
To: Dolan, Michael F (Mike); [email-masked]
Subject: RE: [MOBILE-IP] Pro-active Handoff and FA Location

Hello Mike

  Interaction with

Regards,
Karim